Bug 618578 - ip resource should have netmask field
Summary: ip resource should have netmask field
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Pokorný [poki]
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-27 10:07 UTC by Fabio Massimo Di Nitto
Modified: 2016-04-26 13:46 UTC (History)
4 users (show)

Fixed In Version: luci-0.22.2-13.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 22:12:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fabio Massimo Di Nitto 2010-07-27 10:07:06 UTC
For both ipv4 and ipv6, it is possible to specify the netmask in ip.sh

1.2.3.4/24 or 1.2.3.4/255.255.255.0

3ffe::1/64 for ipv6

In the UI it´s possible to cheat adding the netmask after the IP address, but it would be nice to either a separate field or at least explain in the field name that´s optionally possible to add the netmask.

Comment 1 Lon Hohberger 2010-07-28 14:06:10 UTC
IP address: [             ]   Netmask bits: [  ]

?

Comment 2 Jan Pokorný [poki] 2010-08-03 21:21:04 UTC
This should be fixed in http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=be5bc438392f460820183cc937679e54f160fa12

Comment 3 Lon Hohberger 2010-08-03 22:07:20 UTC
Adding a new IP address to an existing service (whether or not netmask was specified) caused an error 'No IP address specified'.

Adding or editing a global IP address resource works fine.

Comment 4 Lon Hohberger 2010-08-03 22:13:25 UTC
Also, attaching the global IP resource to a service does not work.

Comment 5 Ryan McCabe 2010-08-03 22:50:41 UTC
Fixed the remaining issues. Complete fix in luci-0.22.2-13.el6

Comment 7 Brian Brock 2010-08-26 20:09:18 UTC
verfied

IP address creation dialog has a working "netmask" field that is appended properly to the ip address in cluster.conf.  Additionally, the ip address can include the netmask.  Both styles of netmask are supported (i.e. /24 and /255.255.255.0

Comment 8 releng-rhel@redhat.com 2010-11-10 22:12:25 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.